
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    indicatorDots: true,
    autoplay: true,
    circular: true,
    interval: 3000,
    duration: 500,
    typeList: [],
    newList: [],
    hotList: [],
    imgList: [],
    openId: ''
  },
  onShareAppMessage: function () {
  },
  goSearchPage: function (){
    wx.navigateTo({
      url: "/pages/Product/Search/Search",
    })
  },
  jumpPage: function (e) {
    let id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: "/pages/Product/ProductList/ProductList?id=" + id,
    })
  },
  addGwc: function (e){
    let id = e.currentTarget.dataset.id
    app.$api('Shop_post_SetCommodityShopInfo', {
      CommodityId: id,
      GuestAccountId: app.state.admin.id,
      CustomerId: 0,
      Number: 1,
    }).then(res => {
      wx.showToast({
        title: '添加成功',
        icon: 'none',
        duration: 2000
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  getImgList: function () {
    app.$api('ShopAd_get_GetAdManageListService', {}).then(res => {
      this.setData(
        {
          imgList: res
        }
      )
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  getNewList: function (){
    app.$api('Shop_post_GetPageList', {
      pageSize: 50,
      pageIndex: 1,
      SellType: 2,
      Status: 3,
      OrderBy: 1,
      OrderType: 2
    }).then(res => {
      let list = res.pageData
      this.setData(
        {
          newList: list
        }
      )
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  getHotList: function () {
    app.$api('Shop_post_GetPageList', {
      pageSize: 50,
      pageIndex: 1,
      Status: 3,
      OrderBy: 1,
      OrderType: 2,
      ListType: 1,
    }).then(res => {
      let list = res.pageData
      this.setData(
        {
          hotList: list
        }
      )
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  getTypeList: function (){
    app.$api('Shop_post_GetCommodityCategoryPageList', {
      pageIndex: 1,
      pageSize: 10,
      Name: "",
      ParentId: 0
    }).then(res => {
      let typeList = res.pageData
      this.setData({
        typeList: typeList
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  goDerails2: function (e) {
    let src = e.currentTarget.dataset.src
    wx.navigateTo({
      url: src,
    })
  },
  goDerails: function(e){
    let id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '/pages/Product/ProductDetails/ProductDetails?id=' + id,
    })
  },
  register: function (){ // 注册
    app.$api('ShopGuest_post_CreateGuestAccountService', {
      WeChatOpenId: this.data.openId,
      GuestId: app.GuestId,
    }).then(r => {
      app.state.admin.id = r.Id
      wx.setStorage({
        key: 'admin',
        data: r,
      })
    }).catch(err => {

    })
  },
  getUserInfo: function () {
    app.$api('ShopGuest_get_GetGuestAccountByOpenIdService', {
      OpenId: this.data.openId
    }).then(r => {
      wx.setStorage({
        key: 'admin',
        data: r,
      })
    }).catch(err => {

    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (typeof (options.GuestId) !== "undefined") {
      app.GuestId = options.GuestId
    } else {
      app.GuestId = 0
    }
    wx.login({
      success: res => {
        // 登录注册接口
        if (res.code) {
          // 调用服务端登录接口，发送 res.code 到服务器端换取 openId, sessionKey, unionId并存入数据库中
          app.$apiNew('ShopGuest_get_GetShopWeChatOpenIdService', {
            code: res.code
          }).then(r => {
            app.state.admin.openId = r
            this.setData({
              openId: r
            })
            this.register()
          }).catch(err => {

          })
        } else {
          console.log('登录失败！' + res.errMsg)
        }
      }
    });
  },
  onGotUserInfo: function (e) {
    
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getTypeList()
    this.getNewList()
    this.getHotList()
    this.getImgList()
  },
  
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})