let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    wxPay: false,
    dataList: [],
    allPrice: 0,
    AddrObj: [],
    AddrYes: true,
    isGowuche: false,
    isOrder: false,
    openId: '',
    islogin: true
  },
  onGotUserInfo: function (e) {
    console.log(e)
    if (e.detail.userInfo) {
      let userInfo = e.detail.userInfo
      app.$api('ShopGuest_post_SetGuestAccountService', {
        AccountName: userInfo.nickName,
        Id: app.state.admin.id,
        Sex: userInfo.gender
      }).then(r => {
        app.$api('ShopGuest_get_GetGuestAccountByOpenIdService', {
          OpenId: app.state.admin.openId
        }).then(r => {
          this.setData({
            islogin: true
          })
          wx.setStorage({
            key: 'admin',
            data: r,
          })
        }).catch(err => {

        })
      }).catch(err => {

      })
    } else {
      wx.navigateBack({
        delta: 1
      })
    }
  },
  setOrder: function(){
    if (!this.data.AddrObj.Id) {
      wx.showToast({
        title: '请添加/新增收货地址',
        icon: 'none',
        duration: 2000
      })
      return
    }
    
    let orderId = null
    if (this.data.isOrder) {
      // 已下单未支付
      orderId = this.data.dataList[0].CorderId
      wx.redirectTo({
        url: '/pages/Product/payOK/payOK?id=' + orderId,
      })
    } else {
      let msg = {
        GuestAccountId: app.state.admin.id,
        ShopList: [],
        GuestAddressId: this.data.AddrObj.Id,
        WeChatOpenId: app.state.admin.openId
      }
      this.data.dataList.map(x => {
        let obj = {
          "Id": 0,
          "CustomerId": 0,
          "GuestAccountId": 0,
          "CommodityId": 0,
          "CostPrice": 0,
          "SellPrice": 0,
          "Number": 0
        }
        obj.Id = this.data.isGowuche ? x.Id : 0
        obj.CommodityId = this.data.isGowuche ? x.CommodityId : x.Id
        obj.CostPrice = x.CostPrice
        obj.SellPrice = x.SellPrice
        obj.Number = x.number
        msg.ShopList.push(obj)
      })
      app.$api('ShopOrder_post_AddCommodityOrderService', msg).then(res => {
        console.log(res)
        orderId = res
        wx.redirectTo({
          url: '/pages/Product/payOK/payOK?id=' + orderId,
        })
      }).catch(err => {
        wx.showToast({
          title: err.message,
          icon: 'none',
          duration: 2000
        })
      })
    }
  },
  jumpEidtAddrPage: function (e) {
    let url = "/pages/mine/mineAddrEdit/mineAddrEdit"
    if (e.currentTarget.dataset.index >= 0) {
      url = url + '?edit=1&hide=1'
      let _this = this;
      wx.setStorage({
        key: "addrEdit",
        data: _this.data.AddrObj
      })
    }
    wx.navigateTo({
      url: url,
    })
  },
  getAddrList: function () {
    app.$api('ShopGuest_get_GetGuestAddressListService', {
      GuestAccountId: app.state.admin.id
    }).then(res => {
      if (res.length < 1) {
        this.setData({
          AddrYes: false
        })
        return
      } else {
        this.setData({
          AddrYes: true
        })
      }
      let obj = {}, flag = false;
      res.map(x=>{
        if (x.IsDefault === 1) {
          obj = x
          flag = true
        }
      })
      if (!flag) {
        obj = res[0]
      }
      this.setData({
        AddrObj: obj
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  changePayway: function () {
    this.setData({
      wxPay: !this.data.wxPay
    })
  },
  init: function (){
    let _this = this;
    wx.getStorage({
      key: 'product',
      success: function(res) {
        let list = res.data
        let price = 0;
        list.map(x=>{
          x.number = x.number ? x.number : x.Number
          price = price + (x.number * x.SellPrice)
        })
        _this.setData({
          dataList: res.data,
          allPrice: price
        })
      },
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    let _this = this
    wx.getSetting({
      success(res) {
        if (!res.authSetting['scope.userInfo']) {
          _this.setData({
            islogin: false
          })
        }
      }
    })
    if (typeof (options.isGowuche) !== "undefined") {
      this.setData({
        isGowuche: true
      })
    }
    if (typeof (options.isOrder) !== "undefined") {
      this.setData({
        isOrder: true
      })
    }
    wx.setNavigationBarTitle({
      title: '确认订单'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.init()
    this.getAddrList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})