let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    dataList: [],
    delBtnWidth: 160,
    isScroll: true,
    selectAll: false,
    allMoney: 0,
    allShuiMoney: 0,
    selectNum: 0,
    msg: {
      pageIndex: 1,
      pageSize: 10,
      CustomerId: 0,
      GuestAccountId: app.state.admin.id,
    },
    totalPage: 0,
    pageIndex: 1,
  },
  submit: function (){
    let list = []
    this.data.dataList.map(x=>{
      if (x.select) {
        list.push(x)
      }
    })
    wx.setStorage({
      key: "product",
      data: list
    })
    wx.navigateTo({
      url: '/pages/Product/Settlement/Settlement?isGowuche=1',
    })
  },
  checkAll: function (){
    let selectAll = this.data.selectAll
    this.data.dataList.map(x=>{
      x.select = selectAll ? false : true
    })
    this.setData({
      dataList: this.data.dataList,
      selectAll: !selectAll,
      selectNum: !selectAll ? this.data.dataList.length : 0
    })
    if (!selectAll) {
      this.calculationPrice()
    } else {
      this.setData({
        allMoney: 0,
        allShuiMoney: 0,
      })
    }
  },
  regNumber: function (e) {
    if (isNaN(e.detail.value * 1)) {
      this.data.dataList[e.currentTarget.dataset.index].Number = 1
    } else {
      this.data.dataList[e.currentTarget.dataset.index].Number = e.detail.value * 1
    }
    this.setData({
      dataList: this.data.dataList
    })
  },
  calculation: function (e) {
    let type = e.currentTarget.dataset.type;
    let index = e.currentTarget.dataset.index;
    let dataList = this.data.dataList
    if (type == 1) {
      dataList[index].Number = dataList[index].Number === 1 ? 1 : dataList[index].Number - 1
      this.setData({
        dataList: dataList
      })
    } else {
      dataList[index].Number = dataList[index].Number + 1
      this.setData({
        dataList: dataList
      })
    }
    this.calculationPrice()
  },
  calculationPrice: function (){
    let selectNum = 0,
      allShuiMoney = 0,
      allMoney = 0;
    this.data.dataList.map(x => {
      if (x.select) {
        selectNum += 1;
        // allShuiMoney += x.shuifei * x.Number;
        allMoney += x.SellPrice * x.Number;
      }
    })
    this.setData({
      selectNum: selectNum,
      allMoney: allMoney,
      allShuiMoney: allShuiMoney,
    })
  },
  selectItem: function (e, type){
    let index = e.currentTarget.dataset.index,
      selectAll = true;
    this.data.dataList[index].select = !this.data.dataList[index].select
    this.data.dataList.map(x=>{
      if (!x.select) {
        selectAll = false
      }
    })
    this.setData({
      dataList: this.data.dataList,
      selectAll: selectAll,
    })
    this.calculationPrice()
  },
  drawStart: function (e) {
    this.data.dataList.map((x, index) => {
      if (index !== e.currentTarget.dataset.index * 1 || (index === e.currentTarget.dataset.index * 1 && x.right === 160)) {
        x.right = 0
      }
    })
    var touch = e.touches[0]

    for (var index in this.data.data) {
      var item = this.data.dataList[index]
      item.right = 0
    }
    this.setData({
      dataList: this.data.dataList,
      startX: touch.clientX,
    })

  },
  drawMove: function (e) {
    var touch = e.touches[0]
    var item = this.data.dataList[e.currentTarget.dataset.index]
    var disX = this.data.startX - touch.clientX

    if (disX >= 20) {
      if (disX > this.data.delBtnWidth) {
        disX = this.data.delBtnWidth
      }
      item.right = disX
      this.setData({
        isScroll: false,
        dataList: this.data.dataList
      })
    } else {
      item.right = 0
      this.setData({
        isScroll: true,
        dataList: this.data.dataList
      })
    }
  },
  drawEnd: function (e) {
    var item = this.data.dataList[e.currentTarget.dataset.index]
    if (item.right >= this.data.delBtnWidth / 2) {
      item.right = this.data.delBtnWidth
      this.setData({
        isScroll: true,
        dataList: this.data.dataList,
      })
    } else {
      item.right = 0
      this.setData({
        isScroll: true,
        dataList: this.data.dataList,
      })
    }
  },

  delItem: function (e) {
    let id = e.currentTarget.dataset.id;
    let _this = this;
    wx.showModal({
      title: '提示',
      content: '是否删除？删除后不可恢复！',
      success(res) {
        if (res.confirm) {
          app.$api('Shop_post_DelCommodityShopInfo', {
            Id: id,
            GuestAccountId: app.state.admin.id,
          }).then(res => {
            _this.getList()
            _this.calculationPrice()
          }).catch(err => {
            wx.showToast({
              title: err.message,
              icon: 'none',
              duration: 2000
            })
          })
        } else if (res.cancel) {

        }
      }
    })
  },
  getList: function (type) {
    if (!app.state.admin.id) {
      return
    }
    this.data.msg.GuestAccountId = app.state.admin.id
    if (this.data.pageIndex >= this.data.totalPage && type) {
      return
    }
    app.$api('Shop_post_GetCommodityShopPageList', this.data.msg).then(res => {
      console.log(res)
      let arr = this.data.dataList;
      let arr2 = []
      res.pageData.map(x=>{
        x.select = false;
        x.right = 0;
        arr2.push(x)
      });
      if (type) {
        for (let i = 0; i < arr2.length; i++) {
          arr.push(arr2[i])
        }
      } else {
        arr = arr2
      }
      console.log(arr)
      this.setData({
        dataList: arr,
        totalPage: res.pageCount ? res.pageCount : 1,
        pageIndex: res.pageIndex ? res.pageIndex : 1,
      })
      wx.hideLoading()
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  scrollGetMore: function () {
    this.setData({
      'msg.pageIndex': this.data.pageIndex + 1,
    })
    this.getList(1)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    wx.setNavigationBarTitle({
      title: '购物车'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    wx.showLoading({
      title: '加载中',
    });
    this.setData({
      'msg.pageIndex': 1,
      selectNum: 0,
      allMoney: 0,
      allShuiMoney: 0,
    })
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})