let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    msg: {
      Id: 0,
      GuestProvince: '',
      GuestCity: '',
      GuestDistrictCounty: '',
      DetaileAddress: '',
      LinkMan: '',
      LinkTel: '',
      IsDefault: '',
      GuestAccountId: app.state.admin.id
    },
    province: '',
    city: '',
    county: '',
    switch1Checked: true,
    IsDefaultShow: true,
  },
  switch1Change: function (e){
    this.setData({
      switch1Checked: e.detail.value
    })
  },
  seveMsg: function () {
    this.data.msg.GuestAccountId = app.state.admin.id
    if (!this.data.msg.LinkMan){
      wx.showToast({
        title: '请填写收货人',
        icon: 'none',
        duration: 1000
      })
      return
    }
    if (!this.data.msg.LinkTel) {
      wx.showToast({
        title: '请填写手机号',
        icon: 'none',
        duration: 1000
      })
      return
    }
    if (!this.data.msg.GuestDistrictCounty) {
      wx.showToast({
        title: '请选择所在地区',
        icon: 'none',
        duration: 1000
      })
      return
    }
    if (!this.data.msg.DetaileAddress) {
      wx.showToast({
        title: '请填写详细地址',
        icon: 'none',
        duration: 1000
      })
      return
    }
    this.data.msg.IsDefault = this.data.switch1Checked ? 1 : 0
    app.$api('ShopGuest_post_SetGuestAddressService', this.data.msg).then(res => {
      wx.showToast({
        title: '保存成功',
        icon: 'none',
        duration: 1000
      })
      setTimeout(() => {
        wx.navigateBack({
          delta: 1
        })
      }, 1000)
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  regionChange: function (e) {
    this.setData({
      province: e.detail.province,
      city: e.detail.city,
      county: e.detail.county,
      'msg.GuestProvince': e.detail.province,
      'msg.GuestCity': e.detail.city,
      'msg.GuestDistrictCounty': e.detail.county,
    });
  },
  inputName: function (e) {
    let id = e.target.id,
    value = e.detail.value;
    if (id == 'name') {
      this.setData({
        'msg.LinkMan': value
      })
    } else if (id == 'phone') {
      this.setData({
        'msg.LinkTel': value
      })
    }else if (id == 'details') {
      this.setData({
        'msg.DetaileAddress': value
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    let _this = this
    if (options.edit) {
      wx.getStorage({
        key: 'addrEdit',
        success(res) {
          let r = res.data;
          _this.setData({
            'msg.Id': r.Id,
            'msg.GuestProvince': r.GuestProvince,
            'msg.GuestCity': r.GuestCity,
            'msg.GuestDistrictCounty': r.GuestDistrictCounty,
            'msg.DetaileAddress': r.DetaileAddress,
            'msg.LinkMan': r.LinkMan,
            'msg.LinkTel': r.LinkTel,
            'msg.IsDefault': r.IsDefault,
            province: res.data.GuestProvince,
            city: res.data.GuestCity,
            county: res.data.GuestDistrictCounty,
            switch1Checked: r.IsDefault ? true : false
          })
        }
      })
    }
    if (options.hide) {
      this.setData({
        IsDefaultShow: false,
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    //修改title
    wx.setNavigationBarTitle({
      title: '修改收货地址'
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})