let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    dataList: [],
    delBtnWidth: 160,
    isScroll: true,
    selectAll: false,
  },
  jumpPage: function (e){
    let url = "/pages/mine/mineAddrEdit/mineAddrEdit"
    if (e.currentTarget.dataset.index >= 0) {
      url = url + '?edit=1'
      let _this = this;
      wx.setStorage({
        key: "addrEdit",
        data: _this.data.dataList[e.currentTarget.dataset.index]
      })
    }
    wx.navigateTo({
      url: url,
    })
  },
  getList: function(){
    app.$api('ShopGuest_get_GetGuestAddressListService', {
      GuestAccountId: app.state.admin.id
    }).then(res => {
      let list = [];
      res.map(x=>{
        x.right = 0
        list.push(x)
      })
      this.setData({
        dataList: list
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  drawStart: function (e) {
    this.data.dataList.map((x, index) => {
      if (index !== e.currentTarget.dataset.index * 1 || (index === e.currentTarget.dataset.index * 1 && x.right === 160)) {
        x.right = 0
      }
    })
    var touch = e.touches[0]

    for (var index in this.data.data) {
      var item = this.data.dataList[index]
      item.right = 0
    }
    this.setData({
      dataList: this.data.dataList,
      startX: touch.clientX,
    })

  },
  drawMove: function (e) {
    var touch = e.touches[0]
    var item = this.data.dataList[e.currentTarget.dataset.index]
    var disX = this.data.startX - touch.clientX

    if (disX >= 20) {
      if (disX > this.data.delBtnWidth) {
        disX = this.data.delBtnWidth
      }
      item.right = disX
      this.setData({
        isScroll: false,
        dataList: this.data.dataList
      })
    } else {
      item.right = 0
      this.setData({
        isScroll: true,
        dataList: this.data.dataList
      })
    }
  },
  drawEnd: function (e) {
    var item = this.data.dataList[e.currentTarget.dataset.index]
    if (item.right >= this.data.delBtnWidth / 2) {
      item.right = this.data.delBtnWidth
      this.setData({
        isScroll: true,
        dataList: this.data.dataList,
      })
    } else {
      item.right = 0
      this.setData({
        isScroll: true,
        dataList: this.data.dataList,
      })
    }
  },

  delItem: function (e) {
    let id = e.currentTarget.dataset.id;
    let _this = this;
    wx.showModal({
      title: '提示',
      content: '是否删除？删除后不可恢复！',
      success(res) {
        if (res.confirm) {
          app.$api('ShopGuest_post_RemoveGuestAddressService', {
            Id: id
          }).then(res => {
            wx.showToast({
              title: '删除成功',
              icon: 'none',
              duration: 2000
            })
            _this.getList()
          }).catch(err => {
            wx.showToast({
              title: err.message,
              icon: 'none',
              duration: 2000
            })
          })
        } else if (res.cancel) {
          
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    wx.setNavigationBarTitle({
      title: '收货地址'
    })
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})