let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: -1,
    statusList: [
      {
        id: -1,
        name: '全部'
      },
      {
        id: 2,
        name: '待支付'
      },
      {
        id: 5,
        name: '待发货'
      },
      {
        id: 6,
        name: '待收货'
      },
      {
        id: 7,
        name: '已完成'
      },
      {
        id: 1,
        name: '取消'
      },
    ],
    msg: {
      AccountName: "", //旅客名称
      CustomerId: 0, //同行编号
      SaleId: 0, //销售编号
      COrderState: -1, //订单状态
      ReciveLeaderId: 0,//接单领队
      pageIndex: 1,
      pageSize: 10,
      total: 0,
    },
    dataList: [],
  },
  goSettlement: function (e) {
    let index = e.currentTarget.dataset.index;
    let id = e.currentTarget.dataset.id;
    let obj = this.data.dataList[index],
     obj2 = [];
    obj.OrderDetailsList.map(x=>{
      x.Id = x.CommodityId
      x.CostPrice = x.CommodityCostPrice
      x.number = x.CommodityNum
      x.Name = x.CommodityName
      x.SellPrice = x.CommodityPrice
      x.SellPrice = x.CommodityPrice
      x.CorderId = id
      obj2.push(x)
    })
    wx.setStorage({
      key: "product",
      data: obj2
    })
    wx.navigateTo({
      url: "/pages/Product/Settlement/Settlement?isOrder=1",
    })
  },
  goDetails: function (e){
    let id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: "/pages/mine/mineOrder/mineOrderDetails/mineOrderDetails?id=" + id,
    })
  },
  changeStatus: function (e) {
    let id = e.currentTarget.dataset.id
    this.setData({
      active: id,
      'msg.pageIndex': 1,
      pageIndex: 1
    })
    this.getList()
  },
  cancelOrder: function(e) {
    let id = e.currentTarget.dataset.id
    let _this = this;
    wx.showModal({
      title: '提示',
      content: '是否取消？取消后不可恢复！',
      success(res) {
        if (res.confirm) {
          app.$api('ShopOrder_post_CancelOrderStatusService', { CorderId: id}).then(res => {
            wx.showToast({
              title: '删除成功',
              icon: 'none',
              duration: 2000
            })
            _this.setData({
              pageIndex: 1,
              'msg.pageIndex': 1
            })
            _this.getList()
          }).catch(err => {
            wx.showToast({
              title: err.message,
              icon: 'none',
              duration: 2000
            })
          })
        } else if (res.cancel) {

        }
      }
    })
  },
  scrollGetMore: function () {
    this.setData({
      'msg.pageIndex': this.data.pageIndex + 1,
    })
    this.getList(1)
  },
  getList: function (type){
    if (this.data.pageIndex >= this.data.totalPage && type) {
      return
    }
    this.data.msg.COrderState = this.data.active
    app.$api('ShopOrder_get_GetCommodityOrderPageListService', this.data.msg).then(res => {
      let arr = this.data.dataList;
      let arr2 = []
      res.pageData.map(x=>{
        x.select = false;
        x.right = 0;
        arr2.push(x)
      });
      if (type) {
        for (let i = 0; i < arr2.length; i++) {
          arr.push(arr2[i])
        }
      } else {
        arr = arr2
      }
      this.setData({
        dataList: arr,
        totalPage: res.pageCount ? res.pageCount : 1,
        pageIndex: res.pageIndex ? res.pageIndex : 1,
      })
      wx.hideLoading()
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    if (options.type) {
      this.setData({
        active: options.type * 1 === 0 ? -1 : options.type * 1
      })
    }
    wx.setNavigationBarTitle({
      title: '我的订单'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      'msg.pageIndex': 1,
      pageIndex: 1,
    })
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})